Bug 239614

Summary: x11-toolkits/libgdiplus: Update to 6.0.1
Product: Ports & Packages Reporter: Phillip R. Jaenke <prj>
Component: Individual Port(s)Assignee: freebsd-ports-bugs (Nobody) <ports-bugs>
Status: Closed FIXED    
Severity: Affects Only Me CC: gerald, linimon, portmgr, salvadore, tcberner
Priority: --- Flags: salvadore: maintainer-feedback-
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
x11-toolkits_libgdiplus.shar
none
Update to 6.0.4, take maintainership none

Description Phillip R. Jaenke 2019-08-03 13:33:48 UTC
Created attachment 206237 [details]
x11-toolkits_libgdiplus.shar

libgdiplus 6.0 was branched and released on Friday. This update now uses x11-toolkits/pango for significantly improved text rendering, especially for i18n.

This also corrects an invalid license assignment. libgdiplus is MIT licensed. It has never been GPLv3 licensed.
Comment 1 Phillip R. Jaenke 2019-08-25 12:56:05 UTC
No maintainer feedback or response in 21 days.
The mono@ mailing list has had absolutely no non-automated traffic for over a month.
Comment 2 Phillip R. Jaenke 2019-09-15 03:24:24 UTC
Can we please get this in? I haven't had time to make a cleaner diff due to other issues, and this really needs to get in before Q4.
Comment 3 Phillip R. Jaenke 2020-03-17 18:51:00 UTC
Created attachment 212466 [details]
Update to 6.0.4, take maintainership

There has been no movement or response on this port for over a year, and multiple releases have been put out - including one which addresses the need for port-specific patches. 

Attached diff updates to 6.0.4 and takes maintainership. Since this is part of the Mono project, I'm already familiar with it and in regular touch with the developers.
Comment 4 Lorenzo Salvadore freebsd_committer 2020-04-14 15:18:08 UTC
Take the bug as mono@ seems to be inactive.

I will test your changes and then commit them.
Comment 5 Lorenzo Salvadore freebsd_committer 2020-04-14 15:23:24 UTC
Gerald, Tobias (my mentors): How should I proceed with maintainership? I have been told that the mono@ team is completely inactive (or even inexistent). I don't doubt that it is true and indeed this PR prooves it, but do we have some official way to check it? And once I checked it, could I reset port maintainer for all mono@ ports?
Comment 6 Tobias C. Berner freebsd_committer 2020-04-14 15:51:07 UTC
Moin moin 

In my opinion I would prefer prj becoming part of mono@ (or from what it seems the whole mono@ ;) ) instead of becoming the "sole" maintainer. 

That being said, if what it takes for this port to be maintained, full steam ahead :)


mfg Tobias
Comment 7 Lorenzo Salvadore freebsd_committer 2020-04-15 13:24:29 UTC
Philippe, last patch you submitted puts the license back to GPLv3: I guess that was a mistake, wasn't it?

Indeed, I agree that the software is MIT licensed and I would then commit your patch adding the following changes:
-LICENSE=       GPLv3
-LICENSE_FILE=  ${WRKSRC}/COPYING
+LICENSE=       MIT
+LICENSE_FILE=  ${WRKSRC}/LICENSE

(The COPYING file is a small file telling reader to read LICENSE: let's put directly LICENSE in LICENSE_FILE then.)

Testing went fine and as soon as you confirm that the license should be changed to MIT or explain why it should stay GPLv3 I will commit your patch.
Comment 8 commit-hook freebsd_committer 2021-02-15 12:38:16 UTC
A commit references this bug:

Author: amdmi3
Date: Mon Feb 15 12:37:35 UTC 2021
New revision: 565304
URL: https://svnweb.freebsd.org/changeset/ports/565304

Log:
  - Update to 6.0.4
  - Pass maintainership to submitter
  - Fix license
  - While here, update WWW

  PR:		239614
  Submitted by:	prj@rootwyrm.com
  Approved by:	maintainer timeout (mono, 1.5 years)

Changes:
  head/x11-toolkits/libgdiplus/Makefile
  head/x11-toolkits/libgdiplus/distinfo
  head/x11-toolkits/libgdiplus/files/
  head/x11-toolkits/libgdiplus/pkg-descr
Comment 9 Dmitry Marakasov freebsd_committer 2021-02-15 12:40:53 UTC
Commited, thanks! Note I've also removed LIB_DEPENDS which duplicate USE_GNOME bits. Also note that it doesn't really use pango now, probably bacause we have ancient version (it also fails to build with --with-pango).